Subject: Re: how to authenticate with git-svn on a subversion repository

From: Sam Vilain <[email-masked]>
Date: Thu, 16 Nov 2006 12:39:58 +1300

Comète wrote:
> hello !
>
> i would like to use git-svn to commit some modifications to a Subversion 
> repository but i don't know where i can enter my username and password 
> to commit to the repository ? Is there any special file to put them.
> For now i get an error:
>
> # git-svn commit remotes/git-svn
> Autorisation refusée: MKACTIVITY de 
> '/svn/!svn/act/8115f5df-c0da-4a6d-91ef-135dcb76141c': Échec à 
> l'autorisation (http://projet.archlinuxfr.org) at /usr/bin/git-svn line 553
> 512 at /usr/bin/git-svn line 574
> 	main::commit_lib('f45ba41060287fedfcedfb5fc4c29ecfe30a7466') called at 
> /usr/bin/git-svn line 480
> 	main::commit('remotes/git-svn') called at /usr/bin/git-svn line 172
>   

Two questions;

 - have you tried this with Git 1.4.4?  There have been some git-svn updates
 - which version of the SVN Perl bindings are you using?